<?xml version="1.0" encoding="ASCII"?>

<!-- oks-data version 2.0 -->


<!DOCTYPE oks-data [
  <!ELEMENT oks-data (info, (include)?, (comments)?, (obj)+)>
  <!ELEMENT info EMPTY>
  <!ATTLIST info
      name CDATA #REQUIRED
      type CDATA #REQUIRED
      num-of-items CDATA #REQUIRED
      oks-format CDATA #FIXED "extended"
      oks-version CDATA #REQUIRED
      created-by CDATA #REQUIRED
      created-on CDATA #REQUIRED
      creation-time CDATA #REQUIRED
      last-modified-by CDATA #REQUIRED
      last-modified-on CDATA #REQUIRED
      last-modification-time CDATA #REQUIRED
  >
  <!ELEMENT include (file)+>
  <!ELEMENT file EMPTY>
  <!ATTLIST file
      path CDATA #REQUIRED
  >
  <!ELEMENT comments (comment)+>
  <!ELEMENT comment EMPTY>
  <!ATTLIST comment
      creation-time CDATA #REQUIRED
      created-by CDATA #REQUIRED
      created-on CDATA #REQUIRED
      author CDATA #REQUIRED
      text CDATA #REQUIRED
  >
  <!ELEMENT obj (attr | rel)*>
  <!ATTLIST obj
      class CDATA #REQUIRED
      id CDATA #REQUIRED
  >
  <!ELEMENT attr (#PCDATA)*>
  <!ATTLIST attr
      name CDATA #REQUIRED
      type (bool|s8|u8|s16|u16|s32|u32|s64|u64|float|double|date|time|string|uid|enum|class|-) "-"
      num CDATA "-1"
  >
  <!ELEMENT rel (#PCDATA)*>
  <!ATTLIST rel
      name CDATA #REQUIRED
      num CDATA "-1"
  >
]>

<oks-data>

<info name="" type="" num-of-items="26" oks-format="extended" oks-version="oks-06-10-11 built &quot;May 22 2017&quot;" created-by="mastrand" created-on="pc-atlas-pub-03.cern.ch" creation-time="20190522T134041" last-modified-by="mastrand" last-modified-on="pc-atlas-pub-03.cern.ch" last-modification-time="20190522T134050"/>

<include>
 <file path="ftk/sw/FtkSwRepository.data.xml"/>
 <file path="ftk/segments/FTK-common.data.xml"/>
 <file path="ftk/hw/hosts-ftk.data.xml"/>
 <file path="daq/hw/hosts.data.xml"/>
 <file path="ftk/schema/Readout_Ssb.schema.xml"/>
 <file path="ftk/schema/ReadoutModule_Dummy.schema.xml"/>
 <file path="ftk/schema/ReadoutModule_PU.schema.xml"/>
 <file path="daq/segments/setup.data.xml"/>
 <file path="daq/schema/core.schema.xml"/>
 <file path="daq/hw/hosts-ros.data.xml"/>
 <file path="ftk/schema/FTKCommon.schema.xml"/>
 <file path="ftk/segments/FTK-PU-rcc01.data.xml"/>
 <file path="ftk/segments/FTK-PU-rcc02.data.xml"/>
 <file path="ftk/segments/FTK-PU-rcc03.data.xml"/>
 <file path="ftk/segments/FTK-PU-rcc04.data.xml"/>
 <file path="ftk/segments/FTK-PU-rcc05.data.xml"/>
 <file path="ftk/segments/FTK-PU-rcc06.data.xml"/>
 <file path="ftk/segments/FTK-PU-rcc07.data.xml"/>
 <file path="ftk/segments/FTK-PU-rcc08.data.xml"/>
</include>

<comments>
 <comment creation-time="20190522T134050" created-by="mastrand" created-on="pc-atlas-pub-03.cern.ch" author="mastrand" text="C++ oksconfig plug-in user: &apos;mastrand&apos;, host: &apos;pc-atlas-pub-03.cern.ch&apos;, log message: &apos;python plug-in&apos;"/>
</comments>


<obj class="AuxConstants" id="Aux1-Mod0-tower22">
 <attr name="Index" type="u8">0</attr>
 <attr name="Path" type="string">"/det/ftk/repo/condDB/latest/AUX/ssmaps/auxTV_module_tower_22_plane_0.hex"</attr>
 <attr name="Checksum" type="u32">0x85e816b0</attr>
 <attr name="LoadAllSectors" type="bool">0</attr>
</obj>

<obj class="AuxConstants" id="Aux1-Mod1-tower22">
 <attr name="Index" type="u8">1</attr>
 <attr name="Path" type="string">"/det/ftk/repo/condDB/latest/AUX/ssmaps/auxTV_module_tower_22_plane_1.hex"</attr>
 <attr name="Checksum" type="u32">0x307081f0</attr>
 <attr name="LoadAllSectors" type="bool">0</attr>
</obj>

<obj class="AuxConstants" id="Aux1-Mod2-tower22">
 <attr name="Index" type="u8">2</attr>
 <attr name="Path" type="string">"/det/ftk/repo/condDB/latest/AUX/ssmaps/auxTV_module_tower_22_plane_2.hex"</attr>
 <attr name="Checksum" type="u32">0xe00c20</attr>
 <attr name="LoadAllSectors" type="bool">0</attr>
</obj>

<obj class="AuxConstants" id="Aux1-Mod3-tower22">
 <attr name="Index" type="u8">3</attr>
 <attr name="Path" type="string">"/det/ftk/repo/condDB/latest/AUX/ssmaps/auxTV_module_tower_22_plane_3.hex"</attr>
 <attr name="Checksum" type="u32">0x66e046e0</attr>
 <attr name="LoadAllSectors" type="bool">0</attr>
</obj>

<obj class="AuxConstants" id="Aux1-Mod4-tower22">
 <attr name="Index" type="u8">4</attr>
 <attr name="Path" type="string">"/det/ftk/repo/condDB/latest/AUX/ssmaps/auxTV_module_tower_22_plane_4.hex"</attr>
 <attr name="Checksum" type="u32">0x64b06930</attr>
 <attr name="LoadAllSectors" type="bool">0</attr>
</obj>

<obj class="AuxConstants" id="Aux1-Mod5-tower22">
 <attr name="Index" type="u8">5</attr>
 <attr name="Path" type="string">"/det/ftk/repo/condDB/latest/AUX/ssmaps/auxTV_module_tower_22_plane_5.hex"</attr>
 <attr name="Checksum" type="u32">0x95e0ef10</attr>
 <attr name="LoadAllSectors" type="bool">0</attr>
</obj>

<obj class="AuxConstants" id="Aux1-Mod6-tower22">
 <attr name="Index" type="u8">6</attr>
 <attr name="Path" type="string">"/det/ftk/repo/condDB/latest/AUX/ssmaps/auxTV_module_tower_22_plane_6.hex"</attr>
 <attr name="Checksum" type="u32">0x6090ef10</attr>
 <attr name="LoadAllSectors" type="bool">0</attr>
</obj>

<obj class="AuxConstants" id="Aux1-Mod7-tower22">
 <attr name="Index" type="u8">7</attr>
 <attr name="Path" type="string">"/det/ftk/repo/condDB/latest/AUX/ssmaps/auxTV_module_tower_22_plane_7.hex"</attr>
 <attr name="Checksum" type="u32">0x2e600260</attr>
 <attr name="LoadAllSectors" type="bool">0</attr>
</obj>

<obj class="AuxConstants" id="Aux1-SS0-tower22">
 <attr name="Index" type="u8">0</attr>
 <attr name="Path" type="string">"/det/ftk/repo/condDB/latest/AUX/ssmaps/auxTV_ssid_tower_22_plane_0.hex"</attr>
 <attr name="Checksum" type="u32">0xa9fd0000</attr>
 <attr name="LoadAllSectors" type="bool">0</attr>
</obj>

<obj class="AuxConstants" id="Aux1-SS1-tower22">
 <attr name="Index" type="u8">1</attr>
 <attr name="Path" type="string">"/det/ftk/repo/condDB/latest/AUX/ssmaps/auxTV_ssid_tower_22_plane_1.hex"</attr>
 <attr name="Checksum" type="u32">0xa9fd0000</attr>
 <attr name="LoadAllSectors" type="bool">0</attr>
</obj>

<obj class="AuxConstants" id="Aux1-SS2-tower22">
 <attr name="Index" type="u8">2</attr>
 <attr name="Path" type="string">"/det/ftk/repo/condDB/latest/AUX/ssmaps/auxTV_ssid_tower_22_plane_2.hex"</attr>
 <attr name="Checksum" type="u32">0xa9fd0000</attr>
 <attr name="LoadAllSectors" type="bool">0</attr>
</obj>

<obj class="AuxConstants" id="Aux1-SS3-tower22">
 <attr name="Index" type="u8">3</attr>
 <attr name="Path" type="string">"/det/ftk/repo/condDB/latest/AUX/ssmaps/auxTV_ssid_tower_22_plane_3.hex"</attr>
 <attr name="Checksum" type="u32">0x22c04580</attr>
 <attr name="LoadAllSectors" type="bool">0</attr>
</obj>

<obj class="AuxConstants" id="Aux1-SS4-tower22">
 <attr name="Index" type="u8">4</attr>
 <attr name="Path" type="string">"/det/ftk/repo/condDB/latest/AUX/ssmaps/auxTV_ssid_tower_22_plane_4.hex"</attr>
 <attr name="Checksum" type="u32">0x22c04580</attr>
 <attr name="LoadAllSectors" type="bool">0</attr>
</obj>

<obj class="AuxConstants" id="Aux1-SS5-tower22">
 <attr name="Index" type="u8">5</attr>
 <attr name="Path" type="string">"/det/ftk/repo/condDB/latest/AUX/ssmaps/auxTV_ssid_tower_22_plane_5.hex"</attr>
 <attr name="Checksum" type="u32">0x22c04580</attr>
 <attr name="LoadAllSectors" type="bool">0</attr>
</obj>

<obj class="AuxConstants" id="Aux1-SS6-tower22">
 <attr name="Index" type="u8">6</attr>
 <attr name="Path" type="string">"/det/ftk/repo/condDB/latest/AUX/ssmaps/auxTV_ssid_tower_22_plane_6.hex"</attr>
 <attr name="Checksum" type="u32">0x22c04580</attr>
 <attr name="LoadAllSectors" type="bool">0</attr>
</obj>

<obj class="AuxConstants" id="Aux1-SS7-tower22">
 <attr name="Index" type="u8">7</attr>
 <attr name="Path" type="string">"/det/ftk/repo/condDB/latest/AUX/ssmaps/auxTV_ssid_tower_22_plane_7.hex"</attr>
 <attr name="Checksum" type="u32">0x22c04580</attr>
 <attr name="LoadAllSectors" type="bool">0</attr>
</obj>

<obj class="AuxConstants" id="Aux1-TF1-tower22">
 <attr name="Index" type="u8">1</attr>
 <attr name="Path" type="string">"/det/ftk/repo/condDB/latest/AUX/constants/corrgen_raw_8L_reg22.gcon"</attr>
 <attr name="Checksum" type="u32">0x18c928df</attr>
 <attr name="LoadAllSectors" type="bool">0</attr>
</obj>

<obj class="AuxConstants" id="Aux1-TF1-tower22-low-dataflow">
 <attr name="Index" type="u8">1</attr>
 <attr name="Path" type="string">"/det/ftk/repo/condDB/lowDataflow/AUX/constants/corrgen_raw_8L_reg22.gcon"</attr>
 <attr name="Checksum" type="u32">0x846bad26</attr>
 <attr name="LoadAllSectors" type="bool">0</attr>
</obj>

<obj class="AuxConstants" id="Aux1-TF2-tower22">
 <attr name="Index" type="u8">2</attr>
 <attr name="Path" type="string">"/det/ftk/repo/condDB/latest/AUX/constants/corrgen_raw_8L_reg22.gcon"</attr>
 <attr name="Checksum" type="u32">0x5576303a</attr>
 <attr name="LoadAllSectors" type="bool">0</attr>
</obj>

<obj class="AuxConstants" id="Aux1-TF2-tower22-low-dataflow">
 <attr name="Index" type="u8">2</attr>
 <attr name="Path" type="string">"/det/ftk/repo/condDB/lowDataflow/AUX/constants/corrgen_raw_8L_reg22.gcon"</attr>
 <attr name="Checksum" type="u32">0x6b18cd18</attr>
 <attr name="LoadAllSectors" type="bool">0</attr>
</obj>

<obj class="AuxConstants" id="Aux1-TF3-tower22">
 <attr name="Index" type="u8">3</attr>
 <attr name="Path" type="string">"/det/ftk/repo/condDB/latest/AUX/constants/corrgen_raw_8L_reg22.gcon"</attr>
 <attr name="Checksum" type="u32">0x4168dbb8</attr>
 <attr name="LoadAllSectors" type="bool">0</attr>
</obj>

<obj class="AuxConstants" id="Aux1-TF3-tower22-low-dataflow">
 <attr name="Index" type="u8">3</attr>
 <attr name="Path" type="string">"/det/ftk/repo/condDB/lowDataflow/AUX/constants/corrgen_raw_8L_reg22.gcon"</attr>
 <attr name="Checksum" type="u32">0x799c59aa</attr>
 <attr name="LoadAllSectors" type="bool">0</attr>
</obj>

<obj class="AuxConstants" id="Aux1-TF4-tower22">
 <attr name="Index" type="u8">4</attr>
 <attr name="Path" type="string">"/det/ftk/repo/condDB/latest/AUX/constants/corrgen_raw_8L_reg22.gcon"</attr>
 <attr name="Checksum" type="u32">0x296c309d</attr>
 <attr name="LoadAllSectors" type="bool">0</attr>
</obj>

<obj class="AuxConstants" id="Aux1-TF4-tower22-low-dataflow">
 <attr name="Index" type="u8">4</attr>
 <attr name="Path" type="string">"/det/ftk/repo/condDB/lowDataflow/AUX/constants/corrgen_raw_8L_reg22.gcon"</attr>
 <attr name="Checksum" type="u32">0xa09a9cc2</attr>
 <attr name="LoadAllSectors" type="bool">0</attr>
</obj>

<obj class="AuxTestParams" id="data_tower22_1Evt_TRACKS">
 <attr name="Loop" type="bool">1</attr>
 <attr name="RoadPath" type="string">"/det/ftk/repo/condDB/latest/AUX/testvectors/data_tower22_1Evt_TRACKS/ttbarTV_roads_proc"</attr>
 <attr name="HitPath" type="string">"/det/ftk/repo/condDB/latest/AUX/testvectors/data_tower22_1Evt_TRACKS/ttbarTV"</attr>
 <attr name="SSPath" type="string">""</attr>
</obj>


<obj class="PatternBankConf" id="PBank-tower22">
 <attr name="NumPattPerChip" type="u32">131072</attr>
 <attr name="FilePath" type="string">"/det/ftk/repo/condDB/lowDataflow/pbanks/user.sschmitt.patterns_DataAlignment2017_xm05_ym09_Reb64_v9.HW2.SSEL3.180511-64PU_30x128x72Ibl-NB7-NE4-BM0_partitioning4_180601-095309_reg22_sub0.pbank.root"</attr>
 <attr name="BankType" type="u32">0</attr>
 <attr name="SSOffset" type="bool">0</attr>
 <attr name="InChipOff" type="u32">0</attr>
 <attr name="AMBChecksum" type="u32">0x22e12e0d</attr>
 <attr name="Proc1Checksum" type="u32">3308684123</attr>
 <attr name="Proc2Checksum" type="u32">4012826650</attr>
 <attr name="Proc3Checksum" type="u32">273953746</attr>
 <attr name="Proc4Checksum" type="u32">2413269329</attr>
</obj>


<obj class="firmware" id="fw04">
 <attr name="Input1" type="u32">0x1d843da1</attr>
 <attr name="Input2" type="u32">0x2d84c8a2</attr>
 <attr name="Processor1" type="u32">0xf284e7a3</attr>
 <attr name="Processor2" type="u32">0xf284e7a4</attr>
 <attr name="Processor3" type="u32">0xf284e7a5</attr>
 <attr name="Processor4" type="u32">0xf284e7a6</attr>
</obj>


<obj class="RCD" id="FTK-RCD-VME-1">
 <attr name="InterfaceName" type="string">"rc/commander"</attr>
 <attr name="IPCName" type="string">""</attr>
 <attr name="ActionTimeout" type="s32">60</attr>
 <attr name="ProbeInterval" type="s32">20</attr>
 <attr name="FullStatisticsInterval" type="s32">60</attr>
 <attr name="IfError" type="enum">"Error"</attr>
 <attr name="ControlsTTCPartitions" type="bool">0</attr>
 <attr name="Parameters" type="string">""</attr>
 <attr name="RestartParameters" type="string">""</attr>
 <attr name="Logging" type="bool">1</attr>
 <attr name="InputDevice" type="string">""</attr>
 <attr name="InitTimeout" type="u32">60</attr>
 <attr name="ExitTimeout" type="u32">5</attr>
 <attr name="StartIn" type="string">""</attr>
 <attr name="RestartableDuringRun" type="bool">0</attr>
 <attr name="IfExitsUnexpectedly" type="enum">"Error"</attr>
 <attr name="IfFailsToStart" type="enum">"Error"</attr>
 <attr name="Id" type="u16">0</attr>
 <attr name="DataRequestDestination" type="enum">"PC"</attr>
 <rel name="InitializationDependsFrom" num="0"></rel>
 <rel name="ShutdownDependsFrom" num="0"></rel>
 <rel name="Program">"Binary" "ReadoutApplication"</rel>
 <rel name="ExplicitTag">"" ""</rel>
 <rel name="Uses" num="1">
  "SW_Repository" "FTK"
 </rel>
 <rel name="ProcessEnvironment" num="0"></rel>
 <rel name="RunsOn">"Computer" "sbc-ftk-rcc-01.cern.ch"</rel>
 <rel name="BackupHosts" num="0"></rel>
 <rel name="Contains" num="16">
  "ReadoutModule_PU" "PU-1-02"
  "ReadoutModule_PU" "PU-1-03"
  "ReadoutModule_PU" "PU-1-04"
  "ReadoutModule_PU" "PU-1-05"
  "ReadoutModule_PU" "PU-1-07"
  "ReadoutModule_PU" "PU-1-08"
  "ReadoutModule_PU" "PU-1-09"
  "ReadoutModule_PU" "PU-1-10"
  "ReadoutModule_PU" "PU-1-12"
  "ReadoutModule_PU" "PU-1-13"
  "ReadoutModule_PU" "PU-1-14"
  "ReadoutModule_PU" "PU-1-15"
  "ReadoutModule_PU" "PU-1-17"
  "ReadoutModule_PU" "PU-1-18"
  "ReadoutModule_PU" "PU-1-19"
  "ReadoutModule_PU" "PU-1-20"
 </rel>
 <rel name="MemoryConfiguration">"MemoryPool" "FtkMemoryPool"</rel>
 <rel name="Detector">"Detector" "FTK"</rel>
 <rel name="MonitoringMemoryConfiguration">"" ""</rel>
 <rel name="MonitoringSchedule" num="0"></rel>
 <rel name="Configuration">"ReadoutConfiguration_FTK" "ReadoutConfiguration_FTK_FTK-RCD-VME-1"</rel>
 <rel name="Output">"" ""</rel>
 <rel name="Trigger" num="0"></rel>
 <rel name="MonitoringOutput">"FTKEMonDataOut" "FTKEDO"</rel>
 <rel name="DebugOutput">"EmulatedDataOut" "FTKEmuDataOut"</rel>
 <rel name="PluginConfiguration">"" ""</rel>
</obj>

<obj class="ReadoutConfiguration_FTK" id="ReadoutConfiguration_FTK_FTK-RCD-VME-1">
 <attr name="TraceLevel" type="u32">10</attr>
 <attr name="TracePackage" type="u32">0</attr>
 <attr name="QueueSize" type="u32">100</attr>
 <attr name="QueueUnblockOffset" type="u32">90</attr>
 <attr name="NumberOfRequestHandlers" type="u32">8</attr>
 <attr name="RequestTimeOut" type="u32">0</attr>
 <attr name="ReleaseDelay" type="u32">0</attr>
 <attr name="MonitoringScalingFactor" type="u32">10</attr>
 <attr name="ThreadedConfigure" type="bool">0</attr>
 <attr name="ISServerName" type="string">"DF"</attr>
 <attr name="ConfigurationType" type="string">""</attr>
 <attr name="GlobalThreadLimit" type="u32">8</attr>
 <attr name="ConfigureThreadLimit" type="s32">-1</attr>
 <attr name="ConnectThreadLimit" type="s32">-1</attr>
 <attr name="PrepareForRunThreadLimit" type="s32">-1</attr>
 <attr name="StopThreadLimit" type="s32">-1</attr>
 <attr name="DisconnectThreadLimit" type="s32">-1</attr>
 <attr name="UnconfigureThreadLimit" type="s32">-1</attr>
</obj>


<obj class="RCD" id="FTK-RCD-VME-2">
 <attr name="InterfaceName" type="string">"rc/commander"</attr>
 <attr name="IPCName" type="string">""</attr>
 <attr name="ActionTimeout" type="s32">60</attr>
 <attr name="ProbeInterval" type="s32">20</attr>
 <attr name="FullStatisticsInterval" type="s32">60</attr>
 <attr name="IfError" type="enum">"Error"</attr>
 <attr name="ControlsTTCPartitions" type="bool">0</attr>
 <attr name="Parameters" type="string">""</attr>
 <attr name="RestartParameters" type="string">""</attr>
 <attr name="Logging" type="bool">1</attr>
 <attr name="InputDevice" type="string">""</attr>
 <attr name="InitTimeout" type="u32">60</attr>
 <attr name="ExitTimeout" type="u32">5</attr>
 <attr name="StartIn" type="string">""</attr>
 <attr name="RestartableDuringRun" type="bool">0</attr>
 <attr name="IfExitsUnexpectedly" type="enum">"Error"</attr>
 <attr name="IfFailsToStart" type="enum">"Error"</attr>
 <attr name="Id" type="u16">0</attr>
 <attr name="DataRequestDestination" type="enum">"PC"</attr>
 <rel name="InitializationDependsFrom" num="0"></rel>
 <rel name="ShutdownDependsFrom" num="0"></rel>
 <rel name="Program">"Binary" "ReadoutApplication"</rel>
 <rel name="ExplicitTag">"" ""</rel>
 <rel name="Uses" num="1">
  "SW_Repository" "FTK"
 </rel>
 <rel name="ProcessEnvironment" num="0"></rel>
 <rel name="RunsOn">"Computer" "sbc-ftk-rcc-02.cern.ch"</rel>
 <rel name="BackupHosts" num="0"></rel>
 <rel name="Contains" num="16">
  "ReadoutModule_PU" "PU-2-02"
  "ReadoutModule_PU" "PU-2-03"
  "ReadoutModule_PU" "PU-2-04"
  "ReadoutModule_PU" "PU-2-05"
  "ReadoutModule_PU" "PU-2-07"
  "ReadoutModule_PU" "PU-2-08"
  "ReadoutModule_PU" "PU-2-09"
  "ReadoutModule_PU" "PU-2-10"
  "ReadoutModule_PU" "PU-2-12"
  "ReadoutModule_PU" "PU-2-13"
  "ReadoutModule_PU" "PU-2-14"
  "ReadoutModule_PU" "PU-2-15"
  "ReadoutModule_PU" "PU-2-17"
  "ReadoutModule_PU" "PU-2-18"
  "ReadoutModule_PU" "PU-2-19"
  "ReadoutModule_PU" "PU-2-20"
 </rel>
 <rel name="MemoryConfiguration">"MemoryPool" "FtkMemoryPool"</rel>
 <rel name="Detector">"Detector" "FTK"</rel>
 <rel name="MonitoringMemoryConfiguration">"" ""</rel>
 <rel name="MonitoringSchedule" num="0"></rel>
 <rel name="Configuration">"ReadoutConfiguration_FTK" "ReadoutConfiguration_FTK_FTK-RCD-VME-2"</rel>
 <rel name="Output">"" ""</rel>
 <rel name="Trigger" num="0"></rel>
 <rel name="MonitoringOutput">"FTKEMonDataOut" "FTKEDO"</rel>
 <rel name="DebugOutput">"EmulatedDataOut" "FTKEmuDataOut"</rel>
 <rel name="PluginConfiguration">"" ""</rel>
</obj>

<obj class="ReadoutConfiguration_FTK" id="ReadoutConfiguration_FTK_FTK-RCD-VME-2">
 <attr name="TraceLevel" type="u32">10</attr>
 <attr name="TracePackage" type="u32">0</attr>
 <attr name="QueueSize" type="u32">100</attr>
 <attr name="QueueUnblockOffset" type="u32">90</attr>
 <attr name="NumberOfRequestHandlers" type="u32">8</attr>
 <attr name="RequestTimeOut" type="u32">0</attr>
 <attr name="ReleaseDelay" type="u32">0</attr>
 <attr name="MonitoringScalingFactor" type="u32">10</attr>
 <attr name="ThreadedConfigure" type="bool">0</attr>
 <attr name="ISServerName" type="string">"DF"</attr>
 <attr name="ConfigurationType" type="string">""</attr>
 <attr name="GlobalThreadLimit" type="u32">8</attr>
 <attr name="ConfigureThreadLimit" type="s32">-1</attr>
 <attr name="ConnectThreadLimit" type="s32">-1</attr>
 <attr name="PrepareForRunThreadLimit" type="s32">-1</attr>
 <attr name="StopThreadLimit" type="s32">-1</attr>
 <attr name="DisconnectThreadLimit" type="s32">-1</attr>
 <attr name="UnconfigureThreadLimit" type="s32">-1</attr>
</obj>


<obj class="RCD" id="FTK-RCD-VME-3">
 <attr name="InterfaceName" type="string">"rc/commander"</attr>
 <attr name="IPCName" type="string">""</attr>
 <attr name="ActionTimeout" type="s32">60</attr>
 <attr name="ProbeInterval" type="s32">20</attr>
 <attr name="FullStatisticsInterval" type="s32">60</attr>
 <attr name="IfError" type="enum">"Error"</attr>
 <attr name="ControlsTTCPartitions" type="bool">0</attr>
 <attr name="Parameters" type="string">""</attr>
 <attr name="RestartParameters" type="string">""</attr>
 <attr name="Logging" type="bool">1</attr>
 <attr name="InputDevice" type="string">""</attr>
 <attr name="InitTimeout" type="u32">60</attr>
 <attr name="ExitTimeout" type="u32">5</attr>
 <attr name="StartIn" type="string">""</attr>
 <attr name="RestartableDuringRun" type="bool">0</attr>
 <attr name="IfExitsUnexpectedly" type="enum">"Error"</attr>
 <attr name="IfFailsToStart" type="enum">"Error"</attr>
 <attr name="Id" type="u16">0</attr>
 <attr name="DataRequestDestination" type="enum">"PC"</attr>
 <rel name="InitializationDependsFrom" num="0"></rel>
 <rel name="ShutdownDependsFrom" num="0"></rel>
 <rel name="Program">"Binary" "ReadoutApplication"</rel>
 <rel name="ExplicitTag">"" ""</rel>
 <rel name="Uses" num="1">
  "SW_Repository" "FTK"
 </rel>
 <rel name="ProcessEnvironment" num="0"></rel>
 <rel name="RunsOn">"Computer" "sbc-ftk-rcc-03.cern.ch"</rel>
 <rel name="BackupHosts" num="0"></rel>
 <rel name="Contains" num="16">
  "ReadoutModule_PU" "PU-3-02"
  "ReadoutModule_PU" "PU-3-03"
  "ReadoutModule_PU" "PU-3-04"
  "ReadoutModule_PU" "PU-3-05"
  "ReadoutModule_PU" "PU-3-07"
  "ReadoutModule_PU" "PU-3-08"
  "ReadoutModule_PU" "PU-3-09"
  "ReadoutModule_PU" "PU-3-10"
  "ReadoutModule_PU" "PU-3-12"
  "ReadoutModule_PU" "PU-3-13"
  "ReadoutModule_PU" "PU-3-14"
  "ReadoutModule_PU" "PU-3-15"
  "ReadoutModule_PU" "PU-3-17"
  "ReadoutModule_PU" "PU-3-18"
  "ReadoutModule_PU" "PU-3-19"
  "ReadoutModule_PU" "PU-3-20"
 </rel>
 <rel name="MemoryConfiguration">"MemoryPool" "FtkMemoryPool"</rel>
 <rel name="Detector">"Detector" "FTK"</rel>
 <rel name="MonitoringMemoryConfiguration">"" ""</rel>
 <rel name="MonitoringSchedule" num="0"></rel>
 <rel name="Configuration">"ReadoutConfiguration_FTK" "ReadoutConfiguration_FTK_FTK-RCD-VME-3"</rel>
 <rel name="Output">"" ""</rel>
 <rel name="Trigger" num="0"></rel>
 <rel name="MonitoringOutput">"FTKEMonDataOut" "FTKEDO"</rel>
 <rel name="DebugOutput">"EmulatedDataOut" "FTKEmuDataOut"</rel>
 <rel name="PluginConfiguration">"" ""</rel>
</obj>

<obj class="ReadoutConfiguration_FTK" id="ReadoutConfiguration_FTK_FTK-RCD-VME-3">
 <attr name="TraceLevel" type="u32">10</attr>
 <attr name="TracePackage" type="u32">0</attr>
 <attr name="QueueSize" type="u32">100</attr>
 <attr name="QueueUnblockOffset" type="u32">90</attr>
 <attr name="NumberOfRequestHandlers" type="u32">8</attr>
 <attr name="RequestTimeOut" type="u32">0</attr>
 <attr name="ReleaseDelay" type="u32">0</attr>
 <attr name="MonitoringScalingFactor" type="u32">10</attr>
 <attr name="ThreadedConfigure" type="bool">0</attr>
 <attr name="ISServerName" type="string">"DF"</attr>
 <attr name="ConfigurationType" type="string">""</attr>
 <attr name="GlobalThreadLimit" type="u32">8</attr>
 <attr name="ConfigureThreadLimit" type="s32">-1</attr>
 <attr name="ConnectThreadLimit" type="s32">-1</attr>
 <attr name="PrepareForRunThreadLimit" type="s32">-1</attr>
 <attr name="StopThreadLimit" type="s32">-1</attr>
 <attr name="DisconnectThreadLimit" type="s32">-1</attr>
 <attr name="UnconfigureThreadLimit" type="s32">-1</attr>
</obj>


<obj class="RCD" id="FTK-RCD-VME-4">
 <attr name="InterfaceName" type="string">"rc/commander"</attr>
 <attr name="IPCName" type="string">""</attr>
 <attr name="ActionTimeout" type="s32">60</attr>
 <attr name="ProbeInterval" type="s32">20</attr>
 <attr name="FullStatisticsInterval" type="s32">60</attr>
 <attr name="IfError" type="enum">"Error"</attr>
 <attr name="ControlsTTCPartitions" type="bool">0</attr>
 <attr name="Parameters" type="string">""</attr>
 <attr name="RestartParameters" type="string">""</attr>
 <attr name="Logging" type="bool">1</attr>
 <attr name="InputDevice" type="string">""</attr>
 <attr name="InitTimeout" type="u32">60</attr>
 <attr name="ExitTimeout" type="u32">5</attr>
 <attr name="StartIn" type="string">""</attr>
 <attr name="RestartableDuringRun" type="bool">0</attr>
 <attr name="IfExitsUnexpectedly" type="enum">"Error"</attr>
 <attr name="IfFailsToStart" type="enum">"Error"</attr>
 <attr name="Id" type="u16">0</attr>
 <attr name="DataRequestDestination" type="enum">"PC"</attr>
 <rel name="InitializationDependsFrom" num="0"></rel>
 <rel name="ShutdownDependsFrom" num="0"></rel>
 <rel name="Program">"Binary" "ReadoutApplication"</rel>
 <rel name="ExplicitTag">"" ""</rel>
 <rel name="Uses" num="1">
  "SW_Repository" "FTK"
 </rel>
 <rel name="ProcessEnvironment" num="0"></rel>
 <rel name="RunsOn">"Computer" "sbc-ftk-rcc-04.cern.ch"</rel>
 <rel name="BackupHosts" num="0"></rel>
 <rel name="Contains" num="16">
  "ReadoutModule_PU" "PU-4-02"
  "ReadoutModule_PU" "PU-4-03"
  "ReadoutModule_PU" "PU-4-04"
  "ReadoutModule_PU" "PU-4-05"
  "ReadoutModule_PU" "PU-4-07"
  "ReadoutModule_PU" "PU-4-08"
  "ReadoutModule_PU" "PU-4-09"
  "ReadoutModule_PU" "PU-4-10"
  "ReadoutModule_PU" "PU-4-12"
  "ReadoutModule_PU" "PU-4-13"
  "ReadoutModule_PU" "PU-4-14"
  "ReadoutModule_PU" "PU-4-15"
  "ReadoutModule_PU" "PU-4-17"
  "ReadoutModule_PU" "PU-4-18"
  "ReadoutModule_PU" "PU-4-19"
  "ReadoutModule_PU" "PU-4-20"
 </rel>
 <rel name="MemoryConfiguration">"MemoryPool" "FtkMemoryPool"</rel>
 <rel name="Detector">"Detector" "FTK"</rel>
 <rel name="MonitoringMemoryConfiguration">"" ""</rel>
 <rel name="MonitoringSchedule" num="0"></rel>
 <rel name="Configuration">"ReadoutConfiguration_FTK" "ReadoutConfiguration_FTK_FTK-RCD-VME-4"</rel>
 <rel name="Output">"" ""</rel>
 <rel name="Trigger" num="0"></rel>
 <rel name="MonitoringOutput">"FTKEMonDataOut" "FTKEDO"</rel>
 <rel name="DebugOutput">"EmulatedDataOut" "FTKEmuDataOut"</rel>
 <rel name="PluginConfiguration">"" ""</rel>
</obj>

<obj class="ReadoutConfiguration_FTK" id="ReadoutConfiguration_FTK_FTK-RCD-VME-4">
 <attr name="TraceLevel" type="u32">10</attr>
 <attr name="TracePackage" type="u32">0</attr>
 <attr name="QueueSize" type="u32">100</attr>
 <attr name="QueueUnblockOffset" type="u32">90</attr>
 <attr name="NumberOfRequestHandlers" type="u32">8</attr>
 <attr name="RequestTimeOut" type="u32">0</attr>
 <attr name="ReleaseDelay" type="u32">0</attr>
 <attr name="MonitoringScalingFactor" type="u32">10</attr>
 <attr name="ThreadedConfigure" type="bool">0</attr>
 <attr name="ISServerName" type="string">"DF"</attr>
 <attr name="ConfigurationType" type="string">""</attr>
 <attr name="GlobalThreadLimit" type="u32">8</attr>
 <attr name="ConfigureThreadLimit" type="s32">-1</attr>
 <attr name="ConnectThreadLimit" type="s32">-1</attr>
 <attr name="PrepareForRunThreadLimit" type="s32">-1</attr>
 <attr name="StopThreadLimit" type="s32">-1</attr>
 <attr name="DisconnectThreadLimit" type="s32">-1</attr>
 <attr name="UnconfigureThreadLimit" type="s32">-1</attr>
</obj>


<obj class="RCD" id="FTK-RCD-VME-5">
 <attr name="InterfaceName" type="string">"rc/commander"</attr>
 <attr name="IPCName" type="string">""</attr>
 <attr name="ActionTimeout" type="s32">60</attr>
 <attr name="ProbeInterval" type="s32">20</attr>
 <attr name="FullStatisticsInterval" type="s32">60</attr>
 <attr name="IfError" type="enum">"Error"</attr>
 <attr name="ControlsTTCPartitions" type="bool">0</attr>
 <attr name="Parameters" type="string">""</attr>
 <attr name="RestartParameters" type="string">""</attr>
 <attr name="Logging" type="bool">1</attr>
 <attr name="InputDevice" type="string">""</attr>
 <attr name="InitTimeout" type="u32">60</attr>
 <attr name="ExitTimeout" type="u32">5</attr>
 <attr name="StartIn" type="string">""</attr>
 <attr name="RestartableDuringRun" type="bool">0</attr>
 <attr name="IfExitsUnexpectedly" type="enum">"Error"</attr>
 <attr name="IfFailsToStart" type="enum">"Error"</attr>
 <attr name="Id" type="u16">0</attr>
 <attr name="DataRequestDestination" type="enum">"PC"</attr>
 <rel name="InitializationDependsFrom" num="0"></rel>
 <rel name="ShutdownDependsFrom" num="0"></rel>
 <rel name="Program">"Binary" "ReadoutApplication"</rel>
 <rel name="ExplicitTag">"" ""</rel>
 <rel name="Uses" num="1">
  "SW_Repository" "FTK"
 </rel>
 <rel name="ProcessEnvironment" num="0"></rel>
 <rel name="RunsOn">"Computer" "sbc-ftk-rcc-05.cern.ch"</rel>
 <rel name="BackupHosts" num="0"></rel>
 <rel name="Contains" num="16">
  "ReadoutModule_PU" "PU-5-02"
  "ReadoutModule_PU" "PU-5-03"
  "ReadoutModule_PU" "PU-5-04"
  "ReadoutModule_PU" "PU-5-05"
  "ReadoutModule_PU" "PU-5-07"
  "ReadoutModule_PU" "PU-5-08"
  "ReadoutModule_PU" "PU-5-09"
  "ReadoutModule_PU" "PU-5-10"
  "ReadoutModule_PU" "PU-5-12"
  "ReadoutModule_PU" "PU-5-13"
  "ReadoutModule_PU" "PU-5-14"
  "ReadoutModule_PU" "PU-5-15"
  "ReadoutModule_PU" "PU-5-17"
  "ReadoutModule_PU" "PU-5-18"
  "ReadoutModule_PU" "PU-5-19"
  "ReadoutModule_PU" "PU-5-20"
 </rel>
 <rel name="MemoryConfiguration">"MemoryPool" "FtkMemoryPool"</rel>
 <rel name="Detector">"Detector" "FTK"</rel>
 <rel name="MonitoringMemoryConfiguration">"" ""</rel>
 <rel name="MonitoringSchedule" num="0"></rel>
 <rel name="Configuration">"ReadoutConfiguration_FTK" "ReadoutConfiguration_FTK_FTK-RCD-VME-5"</rel>
 <rel name="Output">"" ""</rel>
 <rel name="Trigger" num="0"></rel>
 <rel name="MonitoringOutput">"FTKEMonDataOut" "FTKEDO"</rel>
 <rel name="DebugOutput">"EmulatedDataOut" "FTKEmuDataOut"</rel>
 <rel name="PluginConfiguration">"" ""</rel>
</obj>

<obj class="ReadoutConfiguration_FTK" id="ReadoutConfiguration_FTK_FTK-RCD-VME-5">
 <attr name="TraceLevel" type="u32">10</attr>
 <attr name="TracePackage" type="u32">0</attr>
 <attr name="QueueSize" type="u32">100</attr>
 <attr name="QueueUnblockOffset" type="u32">90</attr>
 <attr name="NumberOfRequestHandlers" type="u32">8</attr>
 <attr name="RequestTimeOut" type="u32">0</attr>
 <attr name="ReleaseDelay" type="u32">0</attr>
 <attr name="MonitoringScalingFactor" type="u32">10</attr>
 <attr name="ThreadedConfigure" type="bool">0</attr>
 <attr name="ISServerName" type="string">"DF"</attr>
 <attr name="ConfigurationType" type="string">""</attr>
 <attr name="GlobalThreadLimit" type="u32">8</attr>
 <attr name="ConfigureThreadLimit" type="s32">-1</attr>
 <attr name="ConnectThreadLimit" type="s32">-1</attr>
 <attr name="PrepareForRunThreadLimit" type="s32">-1</attr>
 <attr name="StopThreadLimit" type="s32">-1</attr>
 <attr name="DisconnectThreadLimit" type="s32">-1</attr>
 <attr name="UnconfigureThreadLimit" type="s32">-1</attr>
</obj>


<obj class="RCD" id="FTK-RCD-VME-6">
 <attr name="InterfaceName" type="string">"rc/commander"</attr>
 <attr name="IPCName" type="string">""</attr>
 <attr name="ActionTimeout" type="s32">60</attr>
 <attr name="ProbeInterval" type="s32">20</attr>
 <attr name="FullStatisticsInterval" type="s32">60</attr>
 <attr name="IfError" type="enum">"Error"</attr>
 <attr name="ControlsTTCPartitions" type="bool">0</attr>
 <attr name="Parameters" type="string">""</attr>
 <attr name="RestartParameters" type="string">""</attr>
 <attr name="Logging" type="bool">1</attr>
 <attr name="InputDevice" type="string">""</attr>
 <attr name="InitTimeout" type="u32">60</attr>
 <attr name="ExitTimeout" type="u32">5</attr>
 <attr name="StartIn" type="string">""</attr>
 <attr name="RestartableDuringRun" type="bool">0</attr>
 <attr name="IfExitsUnexpectedly" type="enum">"Error"</attr>
 <attr name="IfFailsToStart" type="enum">"Error"</attr>
 <attr name="Id" type="u16">0</attr>
 <attr name="DataRequestDestination" type="enum">"PC"</attr>
 <rel name="InitializationDependsFrom" num="0"></rel>
 <rel name="ShutdownDependsFrom" num="0"></rel>
 <rel name="Program">"Binary" "ReadoutApplication"</rel>
 <rel name="ExplicitTag">"" ""</rel>
 <rel name="Uses" num="1">
  "SW_Repository" "FTK"
 </rel>
 <rel name="ProcessEnvironment" num="0"></rel>
 <rel name="RunsOn">"Computer" "sbc-ftk-rcc-06.cern.ch"</rel>
 <rel name="BackupHosts" num="0"></rel>
 <rel name="Contains" num="16">
  "ReadoutModule_PU" "PU-6-02"
  "ReadoutModule_PU" "PU-6-03"
  "ReadoutModule_PU" "PU-6-04"
  "ReadoutModule_PU" "PU-6-05"
  "ReadoutModule_PU" "PU-6-07"
  "ReadoutModule_PU" "PU-6-08"
  "ReadoutModule_PU" "PU-6-09"
  "ReadoutModule_PU" "PU-6-10"
  "ReadoutModule_PU" "PU-6-12"
  "ReadoutModule_PU" "PU-6-13"
  "ReadoutModule_PU" "PU-6-14"
  "ReadoutModule_PU" "PU-6-15"
  "ReadoutModule_PU" "PU-6-17"
  "ReadoutModule_PU" "PU-6-18"
  "ReadoutModule_PU" "PU-6-19"
  "ReadoutModule_PU" "PU-6-20"
 </rel>
 <rel name="MemoryConfiguration">"MemoryPool" "FtkMemoryPool"</rel>
 <rel name="Detector">"Detector" "FTK"</rel>
 <rel name="MonitoringMemoryConfiguration">"" ""</rel>
 <rel name="MonitoringSchedule" num="0"></rel>
 <rel name="Configuration">"ReadoutConfiguration_FTK" "ReadoutConfiguration_FTK_FTK-RCD-VME-6"</rel>
 <rel name="Output">"" ""</rel>
 <rel name="Trigger" num="0"></rel>
 <rel name="MonitoringOutput">"FTKEMonDataOut" "FTKEDO"</rel>
 <rel name="DebugOutput">"EmulatedDataOut" "FTKEmuDataOut"</rel>
 <rel name="PluginConfiguration">"" ""</rel>
</obj>

<obj class="ReadoutConfiguration_FTK" id="ReadoutConfiguration_FTK_FTK-RCD-VME-6">
 <attr name="TraceLevel" type="u32">10</attr>
 <attr name="TracePackage" type="u32">0</attr>
 <attr name="QueueSize" type="u32">100</attr>
 <attr name="QueueUnblockOffset" type="u32">90</attr>
 <attr name="NumberOfRequestHandlers" type="u32">8</attr>
 <attr name="RequestTimeOut" type="u32">0</attr>
 <attr name="ReleaseDelay" type="u32">0</attr>
 <attr name="MonitoringScalingFactor" type="u32">10</attr>
 <attr name="ThreadedConfigure" type="bool">0</attr>
 <attr name="ISServerName" type="string">"DF"</attr>
 <attr name="ConfigurationType" type="string">""</attr>
 <attr name="GlobalThreadLimit" type="u32">8</attr>
 <attr name="ConfigureThreadLimit" type="s32">-1</attr>
 <attr name="ConnectThreadLimit" type="s32">-1</attr>
 <attr name="PrepareForRunThreadLimit" type="s32">-1</attr>
 <attr name="StopThreadLimit" type="s32">-1</attr>
 <attr name="DisconnectThreadLimit" type="s32">-1</attr>
 <attr name="UnconfigureThreadLimit" type="s32">-1</attr>
</obj>


<obj class="RCD" id="FTK-RCD-VME-7">
 <attr name="InterfaceName" type="string">"rc/commander"</attr>
 <attr name="IPCName" type="string">""</attr>
 <attr name="ActionTimeout" type="s32">60</attr>
 <attr name="ProbeInterval" type="s32">20</attr>
 <attr name="FullStatisticsInterval" type="s32">60</attr>
 <attr name="IfError" type="enum">"Error"</attr>
 <attr name="ControlsTTCPartitions" type="bool">0</attr>
 <attr name="Parameters" type="string">""</attr>
 <attr name="RestartParameters" type="string">""</attr>
 <attr name="Logging" type="bool">1</attr>
 <attr name="InputDevice" type="string">""</attr>
 <attr name="InitTimeout" type="u32">60</attr>
 <attr name="ExitTimeout" type="u32">5</attr>
 <attr name="StartIn" type="string">""</attr>
 <attr name="RestartableDuringRun" type="bool">0</attr>
 <attr name="IfExitsUnexpectedly" type="enum">"Error"</attr>
 <attr name="IfFailsToStart" type="enum">"Error"</attr>
 <attr name="Id" type="u16">0</attr>
 <attr name="DataRequestDestination" type="enum">"PC"</attr>
 <rel name="InitializationDependsFrom" num="0"></rel>
 <rel name="ShutdownDependsFrom" num="0"></rel>
 <rel name="Program">"Binary" "ReadoutApplication"</rel>
 <rel name="ExplicitTag">"" ""</rel>
 <rel name="Uses" num="1">
  "SW_Repository" "FTK"
 </rel>
 <rel name="ProcessEnvironment" num="0"></rel>
 <rel name="RunsOn">"Computer" "sbc-ftk-rcc-07.cern.ch"</rel>
 <rel name="BackupHosts" num="0"></rel>
 <rel name="Contains" num="16">
  "ReadoutModule_PU" "PU-7-02"
  "ReadoutModule_PU" "PU-7-03"
  "ReadoutModule_PU" "PU-7-04"
  "ReadoutModule_PU" "PU-7-05"
  "ReadoutModule_PU" "PU-7-07"
  "ReadoutModule_PU" "PU-7-08"
  "ReadoutModule_PU" "PU-7-09"
  "ReadoutModule_PU" "PU-7-10"
  "ReadoutModule_PU" "PU-7-12"
  "ReadoutModule_PU" "PU-7-13"
  "ReadoutModule_PU" "PU-7-14"
  "ReadoutModule_PU" "PU-7-15"
  "ReadoutModule_PU" "PU-7-17"
  "ReadoutModule_PU" "PU-7-18"
  "ReadoutModule_PU" "PU-7-19"
  "ReadoutModule_PU" "PU-7-20"
 </rel>
 <rel name="MemoryConfiguration">"MemoryPool" "FtkMemoryPool"</rel>
 <rel name="Detector">"Detector" "FTK"</rel>
 <rel name="MonitoringMemoryConfiguration">"" ""</rel>
 <rel name="MonitoringSchedule" num="0"></rel>
 <rel name="Configuration">"ReadoutConfiguration_FTK" "ReadoutConfiguration_FTK_FTK-RCD-VME-7"</rel>
 <rel name="Output">"" ""</rel>
 <rel name="Trigger" num="0"></rel>
 <rel name="MonitoringOutput">"FTKEMonDataOut" "FTKEDO"</rel>
 <rel name="DebugOutput">"EmulatedDataOut" "FTKEmuDataOut"</rel>
 <rel name="PluginConfiguration">"" ""</rel>
</obj>

<obj class="ReadoutConfiguration_FTK" id="ReadoutConfiguration_FTK_FTK-RCD-VME-7">
 <attr name="TraceLevel" type="u32">10</attr>
 <attr name="TracePackage" type="u32">0</attr>
 <attr name="QueueSize" type="u32">100</attr>
 <attr name="QueueUnblockOffset" type="u32">90</attr>
 <attr name="NumberOfRequestHandlers" type="u32">8</attr>
 <attr name="RequestTimeOut" type="u32">0</attr>
 <attr name="ReleaseDelay" type="u32">0</attr>
 <attr name="MonitoringScalingFactor" type="u32">10</attr>
 <attr name="ThreadedConfigure" type="bool">0</attr>
 <attr name="ISServerName" type="string">"DF"</attr>
 <attr name="ConfigurationType" type="string">""</attr>
 <attr name="GlobalThreadLimit" type="u32">8</attr>
 <attr name="ConfigureThreadLimit" type="s32">-1</attr>
 <attr name="ConnectThreadLimit" type="s32">-1</attr>
 <attr name="PrepareForRunThreadLimit" type="s32">-1</attr>
 <attr name="StopThreadLimit" type="s32">-1</attr>
 <attr name="DisconnectThreadLimit" type="s32">-1</attr>
 <attr name="UnconfigureThreadLimit" type="s32">-1</attr>
</obj>


<obj class="RCD" id="FTK-RCD-VME-8">
 <attr name="InterfaceName" type="string">"rc/commander"</attr>
 <attr name="IPCName" type="string">""</attr>
 <attr name="ActionTimeout" type="s32">60</attr>
 <attr name="ProbeInterval" type="s32">20</attr>
 <attr name="FullStatisticsInterval" type="s32">60</attr>
 <attr name="IfError" type="enum">"Error"</attr>
 <attr name="ControlsTTCPartitions" type="bool">0</attr>
 <attr name="Parameters" type="string">""</attr>
 <attr name="RestartParameters" type="string">""</attr>
 <attr name="Logging" type="bool">1</attr>
 <attr name="InputDevice" type="string">""</attr>
 <attr name="InitTimeout" type="u32">60</attr>
 <attr name="ExitTimeout" type="u32">5</attr>
 <attr name="StartIn" type="string">""</attr>
 <attr name="RestartableDuringRun" type="bool">0</attr>
 <attr name="IfExitsUnexpectedly" type="enum">"Error"</attr>
 <attr name="IfFailsToStart" type="enum">"Error"</attr>
 <attr name="Id" type="u16">0</attr>
 <attr name="DataRequestDestination" type="enum">"PC"</attr>
 <rel name="InitializationDependsFrom" num="0"></rel>
 <rel name="ShutdownDependsFrom" num="0"></rel>
 <rel name="Program">"Binary" "ReadoutApplication"</rel>
 <rel name="ExplicitTag">"" ""</rel>
 <rel name="Uses" num="1">
  "SW_Repository" "FTK"
 </rel>
 <rel name="ProcessEnvironment" num="0"></rel>
 <rel name="RunsOn">"Computer" "sbc-ftk-rcc-08.cern.ch"</rel>
 <rel name="BackupHosts" num="0"></rel>
 <rel name="Contains" num="16">
  "ReadoutModule_PU" "PU-8-02"
  "ReadoutModule_PU" "PU-8-03"
  "ReadoutModule_PU" "PU-8-04"
  "ReadoutModule_PU" "PU-8-05"
  "ReadoutModule_PU" "PU-8-07"
  "ReadoutModule_PU" "PU-8-08"
  "ReadoutModule_PU" "PU-8-09"
  "ReadoutModule_PU" "PU-8-10"
  "ReadoutModule_PU" "PU-8-12"
  "ReadoutModule_PU" "PU-8-13"
  "ReadoutModule_PU" "PU-8-14"
  "ReadoutModule_PU" "PU-8-15"
  "ReadoutModule_PU" "PU-8-17"
  "ReadoutModule_PU" "PU-8-18"
  "ReadoutModule_PU" "PU-8-19"
  "ReadoutModule_PU" "PU-8-20"
 </rel>
 <rel name="MemoryConfiguration">"MemoryPool" "FtkMemoryPool"</rel>
 <rel name="Detector">"Detector" "FTK"</rel>
 <rel name="MonitoringMemoryConfiguration">"" ""</rel>
 <rel name="MonitoringSchedule" num="0"></rel>
 <rel name="Configuration">"ReadoutConfiguration_FTK" "ReadoutConfiguration_FTK_FTK-RCD-VME-8"</rel>
 <rel name="Output">"" ""</rel>
 <rel name="Trigger" num="0"></rel>
 <rel name="MonitoringOutput">"FTKEMonDataOut" "FTKEDO"</rel>
 <rel name="DebugOutput">"EmulatedDataOut" "FTKEmuDataOut"</rel>
 <rel name="PluginConfiguration">"" ""</rel>
</obj>

<obj class="ReadoutConfiguration_FTK" id="ReadoutConfiguration_FTK_FTK-RCD-VME-8">
 <attr name="TraceLevel" type="u32">10</attr>
 <attr name="TracePackage" type="u32">0</attr>
 <attr name="QueueSize" type="u32">100</attr>
 <attr name="QueueUnblockOffset" type="u32">90</attr>
 <attr name="NumberOfRequestHandlers" type="u32">8</attr>
 <attr name="RequestTimeOut" type="u32">0</attr>
 <attr name="ReleaseDelay" type="u32">0</attr>
 <attr name="MonitoringScalingFactor" type="u32">10</attr>
 <attr name="ThreadedConfigure" type="bool">0</attr>
 <attr name="ISServerName" type="string">"DF"</attr>
 <attr name="ConfigurationType" type="string">""</attr>
 <attr name="GlobalThreadLimit" type="u32">8</attr>
 <attr name="ConfigureThreadLimit" type="s32">-1</attr>
 <attr name="ConnectThreadLimit" type="s32">-1</attr>
 <attr name="PrepareForRunThreadLimit" type="s32">-1</attr>
 <attr name="StopThreadLimit" type="s32">-1</attr>
 <attr name="DisconnectThreadLimit" type="s32">-1</attr>
 <attr name="UnconfigureThreadLimit" type="s32">-1</attr>
</obj>


</oks-data>
